Ruby
ImageMagick
RMagick

ImageMagick を標準パス以外にインストールしたら...

More than 3 years have passed since last update.

CentOS 5.x 標準の ImageMagick だと RMagick が build できないので
ソースから /usr/local/ImageMagick-6.8.7-10/ 以下にインストールしたところ

  • RMagick はインストールできた
  • でも require するとエラーになる

という事態に。RMagick が参照する ImageMagick のライブラリファイルのパスが
分からないから当たり前だけど、チョッとはまってしまった。

最終的には

/etc/ld.so.conf.d/ImageMagick-6.8.7-10.conf
/usr/local/ImageMagick-6.8.7-10/lib

というファイルを作成した後に sudo /sbin/ldconfig して事なきを得た。

めでたしめでたし。